/// SERIAL NOISE INJECTION
// VCF MOD 11oc SUS ON DECAY 9oc
// NOISE MIX UP

~d = Place([0,0,0,0,0,0,0,1,2,3, [0,1,2,3], [2,3,4], 5,6,7, [8,9,10,11], 11,11,11,11,11 ], inf);

~r = Place([1/8, 1/8, 1/8, 1/8, [1/4,1/2, 1, Pn(1/8, 16) ], [1/6, 6] ], inf);

~op1 =  Scale.new(#[4,5,1,3,0,2,8,9,10,6,7,11], name: "op27_I");

Pbindef(\m_1, \scale,~op1,
	\degree,~d,
	\octave, 6,
	\dur, ~r
);

Pbindef(\m_2, \scale,~op1,
	\degree, ~d,
	\octave, Pseq([
		Pconst(32, Pn(2,inf)),
		Pconst(32, Pn(3,inf))], inf),
	\dur, ~r
);

( Pdef(\m_1_CC,  Pbind( \type, \midi, \midicmd, \control, \midiout, ~m32_1,
	\ctlNum, 1, \control, Pexprand(77,127, inf) ,\dur, 1/16)).play(quant:4));

Pdef(\m_2_CC,  Pbind( \type, \midi, \midicmd, \control, \midiout, ~m32_2, \ctlNum, 1, \control, Pexprand(90,127, inf), \dur, 1/16 )).play(quant:4);


//////////////////////////////////////